/**
 *Aria2 App
 * Defined an app for Aria
 */
var Aria2App = Aria2App || {};  //Define Aria App namespace.
/**
 *Constructor UNAS App*/
Aria2App.App = function () {
    this.id = 'Aria2';
    this.name = 'Aria2';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/aria2/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/aria2/images/logo.png?v=6.0.6&';
    this.entryUrl = '/apps/aria2/aria2.html?v=6.0.6&';
    var self = this;
    this.Aria2AppWindow = function () { //create app window
        self.window=new MUI.Window({
            id: 'Aria2AppWindow',
            title: UNAS._('Aria2'),
            icon: '/apps/aria2/images/logo_small.png?v=6.0.6&',
            width: 750,
            height: 480,
            maximizable: true,
            resizable: true,
            resizeLimit: { 'x': [760, 2000], 'y': [500, 1500] },
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/aria2/aria2.html?v=6.0.6&',
            require: {  css: ['/apps/aria2/css/aria2.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Aria2",'Aria2AppWindow')}
        });
    };
    this.Aria2AppUninstall = function () {
        UNAS.RemoveDesktopShortcut('Aria2');
        UNAS.RemoveMenu('Aria2');
        UNAS.RemoveAppFromGroups('Aria2', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Aria2', 'Help');
        UNAS.RemoveAppFromApps('Aria2');
    };
    new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'Aria2', '', this.Aria2AppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Aria2', this.Aria2AppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Aria2', UNAS._('Aria2')); //translate menu
        UNAS.SetShortcutTitle('Aria2', UNAS._('Aria2'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('Aria2AppWindow', UNAS._('Aria2'));
        }
    };
    UNAS.LoadTranslation('/apps/aria2/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.Aria2AppWindow, this.Aria2AppUninstall);
};

new Aria2App.App();
